--- title: "Get message reservation status" slug: "sens-sms-reservation-status-get" updated: 2026-09-17T09:35:44Z published: 2026-09-17T09:35:44Z canonical: "api.ncloud-docs.com/sens-sms-reservation-status-get" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get message reservation status Available in Classic and VPC Get the reservation status of message delivery. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /sms/v2/services/{serviceId}/reservations/{reserveId}/reserve-status | ### Request headers For information about the headers common to all Simple & Easy Notification Service APIs, see [Simple & Easy Notification Service request headers](/docs/en/sens-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `serviceId` | String | Required | SMS service ID - See [Get project list](/docs/en/sens-project-list). | | `reserveId` | String | Required | Reservation request ID - Enter the request ID (`requestId`) returned upon sending message. | ### Request example The request example is as follows: ``` curl --location --request GET 'https://sens.apigw.ntruss.com/sms/v2/services/ncp:sms:kr:50*********1:sens/reservations/RSSA-*************-****-********-ZzdhBYsk/reserve-status' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `reserveId` | String | - | Reservation request ID | | `reserveTimeZone` | String | - | Reserved time zone - See [Time zone list](https://en.wikipedia.org/wiki/List_of_tz_database_time_zones). | | `reserveTime` | String | - | Reservation date and time - YYYY-MM-DDTHH:mm:ss±hh:mm format | | `reserveStatus` | String | - | Reservation status - `READY` \| `PROCESSING` \| `CANCELED` \| `FAIL` \| `DONE` \| `STALE`\| `SKIP` - `READY`: Standby - `PROCESSING`: Processing - `CANCELED`: Canceled - `FAIL`: Failure - `DONE`: Completed - `STALE`: Failure (timeout) - `SKIP`: Failure (no service) | ### Response status codes For information about the HTTP status codes common to all Simple & Easy Notification Service APIs, see [Simple & Easy Notification Service response status codes](/docs/en/sens-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "reserveId": "RSSA-*************-****-********-ZzdhBYsk", "reserveTimeZone": "Asia/Seoul", "reserveTime": "2025-11-25T13:19:00+09:00", "reserveStatus": "READY" } ```